/**
 * A programmer that gets a weekly wage and has a favourite programming language
 * 
 */
public class Programmer extends TeamMember {
	public enum ProgrammingLanguage {
		None, C, Java, Pascal, Logo, VisualBasic
	}

	private ProgrammingLanguage prefferedLanguage;

	public Programmer(long id, String name, Manager boss, double weeklyWage,
			ProgrammingLanguage prefferedLanguage) {
		super(id, name, boss, weeklyWage);
		this.prefferedLanguage = prefferedLanguage;
	}

	public Programmer(long id, String name, Manager boss, double weeklyWage) {
		this(id, name, boss, weeklyWage, ProgrammingLanguage.None);
	}

	public ProgrammingLanguage getPrefferedLanguage() {
		return prefferedLanguage;
	}

	public void setPrefferedLanguage(ProgrammingLanguage prefferedLanguage) {
		this.prefferedLanguage = prefferedLanguage;
	}

	@Override
	public String toString() {
		return super.toString()
				+ String.format("\tPreffered language: %s",
						this.prefferedLanguage);
	}

}
